webdevqa.jp.net

Android studio 3.0 Canary 6 com.Android.build.gradle.tasks.MergeResources $ FileGenerationWorkActionの実行中にエラーが発生しました

Android studioをCanary 6に更新するまでは問題ありませんでした。

Com.Android.build.gradle.tasks.MergeResources $ FileGenerationWorkActionの実行中にエラーが発生しました

そして、このエラーは私のvectors.xml [全員がこのエラーを受け取った]。

現在のアプリレベルbuild.gradle

    apply plugin: 'com.Android.application'

Android {
    compileSdkVersion 25
    buildToolsVersion "25.0.2"
    useLibrary 'org.Apache.http.legacy'
    defaultConfig {
        applicationId "example.project"
        minSdkVersion 15
        targetSdkVersion 25
        versionCode 42
        versionName "1.3"
        testInstrumentationRunner "Android.support.test.runner.AndroidJUnitRunner"
        //multiDexEnabled = true
    }
    buildTypes {
        buildTypes {
            release {
                minifyEnabled false
                proguardFiles getDefaultProguardFile('proguard-Android.txt'), 'proguard-rules.pro'
            }
        }
    }
}


dependencies {

    compile 'com.Android.support:appcompat-v7:25.3.1'//<-- can't update to new one
    compile 'com.Android.support:design:25.3.1'
    compile 'com.Android.support.constraint:constraint-layout:1.0.2'
    compile 'com.Android.support:support-v4:25.3.1'
    compile 'com.google.code.gson:gson:2.7'
    compile 'com.Android.support:support-v13:25.3.1'
    compile 'com.Android.support:palette-v7:25.3.1'
    compile 'de.hdodenhof:circleimageview:2.1.0'
    compile 'com.squareup.picasso:picasso:2.5.2'
    compile 'com.mcxiaoke.volley:library-aar:1.0.0'
    compile 'com.squareup.okhttp3:okhttp:3.0.1'
    compile 'com.Android.support:multidex:1.0.1'
    testCompile 'junit:junit:4.12'
}

また、ダウンロードしようとしたときにcom.Android.supportライブラリ、IDE sdkを検索し、何もしません。

私が試したもの:

  • クリーンおよびリビルド。

  • キャッシュを無効にします。

15
user6490462

複数密度のベクトルグラフィックを追加する利点は、ビットマップの代わりにベクトルを使用してAPKのサイズを小さくすることです。同じファイルのサイズを、画質を損なうことなく異なる画面密度に調整できるためです。ベクタードロアブルをサポートしない古いバージョンのAndroidの場合、Vector Asset Studioは、ビルド時に、画面の密度ごとにベクトルドロアブルを異なるビットマップサイズに変換できます

 classpath 'com.Android.tools.build:gradle:3.0.0-alpha8

build.gradle

Android {
  defaultConfig {
    vectorDrawables.useSupportLibrary = true
  }
}
66
Dexter

Build.gradle(Module)のdefaultConfigにvectorDrawables.useSupportLibrary = trueを追加するとうまくいきました。 :)

同じ問題がありました。私のケースを修正するには2つの方法がありました。

  1. vectorDrawables.useSupportLibrary = trueを追加しています
  2. 描画可能なベクターxmlファイルには、@colorへのリンクがありました。

    <path
        Android:fillColor="@color/white"
        ...
    

    に置き換えました

    <path
        Android:fillColor="#fff"
        ...
    

    そして問題は消えました。

4
Vasily Kabunov

DefaultConfigにvectorDrawables.useSupportLibrary = trueを追加するだけで、うまくいきます

defaultConfig {
        vectorDrawables.useSupportLibrary = true
}
2
shams keshk

Android studio canary 6には多くの問題があります。それを解決する最良の方法は、gradleの依存関係のクラスパスを

classpath 'com.Android.tools.build:gradle:2.3.3' 
2
Mohad12211

問題はビルドグラドル3.1.4にあります。 3.1.3にダウングレードすると、準備完了です

dependencies {
    classpath 'com.Android.tools.build:gradle:3.1.3'
    // NOTE: Do not place your application dependencies here; they belong
    // in the individual module build.gradle files
}
0

これをdefaultConfigの下のbuild.gradleに追加します

vectorDrawables.useSupportLibrary = true

これで問題が解決します。

0
Dayananda Swami